html {
width: 100vw;
height: 100vh;
}

#main {
  font-family: Montserrat-Regular;
  margin-top: 84px;
  color: #000000;
}

#main .content {
  margin-top: 84px;
}

/* Cards start */

.page-content {
  display: grid;
  grid-gap: 1rem;
  padding: 1rem;
  margin: 0 auto;
  justify-content: center;
  margin-bottom: 0vh;
  /* grid-template-columns: repeat(auto-fit, minmax(280px, 1fr)); */

/* 3 - 5 columns with a min-width of 64px per column */
 /* grid-template-columns: repeat(auto-fit, minmax(min(100%/3, max(280px, 100%/4)), 1fr)); */

  /* 3 - 5 columns with exactly 280px width per column */
  grid-template-columns: repeat(auto-fit, minmax(0, min(100%/2, max(280px, 100%/4))));
  /* 3 - 5 columns with exactly 280px width per column and min-width of 280px */
  /* grid-template-columns: repeat(auto-fit, minmax(280px, min(100%/2, max(280px, 100%/4)))); */
}

.card {
  position: relative;
  display: flex;
  align-items: flex-end;
  overflow: hidden;
  padding: 1rem;
  width: 100%;
  text-align: center;
  color: whitesmoke;
  background-color: whitesmoke;
  border-radius: 10px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1), 0 2px 2px rgba(0, 0, 0, 0.1),
    0 4px 4px rgba(0, 0, 0, 0.1), 0 8px 8px rgba(0, 0, 0, 0.1),
    0 16px 16px rgba(0, 0, 0, 0.1);

  top: 0;
  left: 0;
  width: 100%;
  background-size:cover;
  background-position: 0 0;
  transition: transform calc(var(--d) * 1.5) var(--e);
}
@media (min-width: 600px) {
  .card {
    height: 350px;
  }
}

@media (max-width: 600px) {
  .page-content {
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  }
}
.card:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 110%;
  background-size: cover;
  background-position:center;
  transition: transform calc(var(--d) * 1.5) var(--e);
  pointer-events: none;
}
.card:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 200%;
  pointer-events: none;
  background-image: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.009) 11.7%,
    rgba(0, 0, 0, 0.034) 22.1%,
    rgba(0, 0, 0, 0.072) 31.2%,
    rgba(0, 0, 0, 0.123) 39.4%,
    rgba(0, 0, 0, 0.182) 46.6%,
    rgba(0, 0, 0, 0.249) 53.1%,
    rgba(0, 0, 0, 0.32) 58.9%,
    rgba(0, 0, 0, 0.394) 64.3%,
    rgba(0, 0, 0, 0.468) 69.3%,
    rgba(0, 0, 0, 0.54) 74.1%,
    rgba(0, 0, 0, 0.607) 78.8%,
    rgba(0, 0, 0, 0.668) 83.6%,
    rgba(0, 0, 0, 0.721) 88.7%,
    rgba(0, 0, 0, 0.762) 94.1%,
    rgba(0, 0, 0, 0.79) 100%
  );
  transform: translateY(-50%);
  transition: transform calc(var(--d) * 2) var(--e);
}
/* .card:nth-child(1):before {
  background-image: url("../src/proyectos/S.E_PARQUE_INDUSTRIAL_AEROPUERTO_PIA.jpg");
}
.card:nth-child(2):before {
  background-image: url("../src/proyectos/S.E_PARQUE_EÓLICA_HUIMILPAN_thumbnail.png");
}
.card:nth-child(3):before {
  background-image: url("../src/proyectos/ENSAMBLE_DE_GABINETES_INTERNET_PARA_TODOS_thumbnail.jpg");
}
.card:nth-child(4):before {
  background-image: url("../src/proyectos/S.E_SAN_ILDEFONSO_thumbnail.jpg");
} */

.card-content {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 1rem;
  transition: transform var(--d) var(--e);
  z-index: 1;
}
.card-content > * + * {
  margin-top: 1rem;
}

.title {
  font-size: 1.3rem;
  font-weight: bold;
  line-height: 1.2;
}

.copy {
  font-size: 1rem;
  font-style: italic;
  line-height: 1.35;
}

.card-content .btn {
  cursor: pointer;
  margin-top: 1.5rem;
  padding: 0.75rem 1.5rem;
  font-size: 0.65rem;
  font-weight: bold;
  letter-spacing: 0.025rem;
  text-transform: uppercase;
  color: white;
  background-color: var(--navbar-bg-color);
  border: none;
}
.card-content .btn:hover {
  background-color: var(--navbar-bg-color);
  color: whitesmoke;
  filter: brightness(120%);
}
.card-content .btn:focus {
  outline: 1px dashed var(--navbar-bg-color);
  outline-offset: 3px;
}

@media (hover: hover) and (min-width: 600px) {
  .card:after {
    -moz-transform: translateY(0);
    transform: translateY(0);
  }

  .card-content {
    transform: translateY(calc(100% - 4.5rem));
    -moz-transform: translateY(calc(100% - 4.5rem));
  }
  .card-content > *:not(.title) {
    opacity: 0;
    transform: translateY(1rem);
    -moz-transform: translateY(1rem);
    transition: transform var(--d) var(--e), opacity var(--d) var(--e);
    -moz-transition: transform var(--d) var(--e), opacity var(--d) var(--e);
  }

  .card:hover,
  .card:focus-within {
    align-items: center;
    background-position: 0px -20px;
transition: all;
transition-duration: 0.5s;
  }
  .card:hover:before,
  .card:focus-within:before {
    /* transform: translateY(-10%);
    -moz-transform: translateY(-4%); */
  }
  .card:hover:after,
  .card:focus-within:after {
    transform: translateY(-50%);
    -moz-transform: translateY(-50%);
  }
  .card:hover .card-content,
  .card:focus-within .card-content {
    transform: translateY(0);
    -moz-transform: translateY(0);
  }
  .card:hover .card-content > *:not(.title),
  .card:focus-within .card-content > *:not(.title) {
    opacity: 1;
    transform: translateY(0);
    -moz-transform: translateY(0);
    transition-delay: calc(var(--d) / 8);
    -moz-transition-delay: calc(var(--d) / 8);
  }

  .card:focus-within:before,
  .card:focus-within:after,
  .card:focus-within .card-content,
  .card:focus-within .card-content > *:not(.title) {
    transition-duration: 0s;
    -moz-transition-duration: 0s;
  }
}
